Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2643 - IMAP Inbox file lock error.
Summary: IMAP Inbox file lock error.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-07 22:23 UTC by Joseph Kotran
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-23 21:22:50 UTC


Attachments (Terms of Use)

Description Joseph Kotran 1999-05-07 22:23:50 UTC
Hello,

	The Red Hat 6.0 distributed version of Netscape
Communicator 4.51 does not handle file locks on the IMAP
mail Inbox properly.  When accessing an IMAP server the mail
client hangs when accessing Inbox.  In the status line at
the bottom of the mail client it indicates that it is
waiting for a connection to the Inbox.

	This behavior is not present in the Netscape distribution
of Communicator 4.51.

Comment 1 Bill Nottingham 1999-05-10 16:38:59 UTC
Works OK for me here. How are the IMAP folders stored on
the server?

Comment 2 Joseph Kotran 1999-05-10 16:52:59 UTC
The IMAP folders are located in the user's home directory.  They work
as expected.  However, the Inbox is in /var/mail on a Solaris 2.6
server.  The Inbox access is what hangs.  The IMAP server is the
University of Washington daemon.  We have the same problem with Sun's
IMAP daemon too.

Comment 3 Bill Nottingham 1999-05-10 18:28:59 UTC
Is lockd running on the machine that's doing the NFS mounting
of /var/mail?

Comment 4 Joseph Kotran 1999-05-10 18:33:59 UTC
Yes, the lockd daemon is running.

Comment 5 Bill Nottingham 1999-05-10 19:53:59 UTC
What happens if you mount the /var/mail partition with the 'nolock'
option?

Comment 6 Bill Nottingham 1999-06-23 21:22:59 UTC
closed due to lack of input.


Note You need to log in before you can comment on or make changes to this bug.